#version 400 

uniform mat4 proj;
uniform mat4 model;

layout(location = IGLU_VERTEX)   in vec3 vertex;
layout(location = IGLU_TEXCOORD) in vec2 texcoord;

out vec2 fragTexCoord;

// This is the actual code that is executed.
void main( void )
{
  fragTexCoord = texcoord;
  gl_Position = proj * ( model * vec4( vertex, 1.0f ) ); 
}